## r-cran-bslib 0.4.2+dfsg

=== DESCRIPTION ===
Package: bslib
Title: Custom 'Bootstrap' 'Sass' Themes for 'shiny' and 'rmarkdown'
Version: 0.4.2
Authors@R: c(
    person("Carson", "Sievert", role = c("aut", "cre"), email = "carson@rstudio.com", comment = c(ORCID = "0000-0002-4958-2844")),
    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person(family = "Bootstrap contributors", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Twitter, Inc", role = "cph",
    comment = "Bootstrap library"),
    person("Javi", "Aguilar", role = c("ctb", "cph"),
    comment = "Bootstrap colorpicker library"),
    person("Thomas", "Park", role = c("ctb", "cph"),
    comment = "Bootswatch library"),
    person(family = "PayPal", role = c("ctb", "cph"),
    comment = "Bootstrap accessibility plugin")
    )
Description: Simplifies custom 'CSS' styling of both 'shiny' and 'rmarkdown' via 'Bootstrap' 'Sass'. Supports 'Bootstrap' 3, 4 and 5 as well as their various 'Bootswatch' themes. An interactive widget is also provided for previewing themes in real time.
Depends: R (>= 2.10)
Imports: grDevices, htmltools (>= 0.5.4), jsonlite, sass (>= 0.4.0),
        jquerylib (>= 0.1.3), rlang, cachem, memoise (>= 2.0.1),
        base64enc, mime
Suggests: shiny (>= 1.6.0), rmarkdown (>= 2.7), thematic, knitr,
        testthat, withr, rappdirs, curl, magrittr, fontawesome, bsicons
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Collate: 'bootswatch.R' 'bs-current-theme.R' 'bs-dependencies.R'
        'bs-global.R' 'bs-remove.R' 'bs-theme-layers.R' 'utils.R'
        'bs-theme-preview.R' 'bs-theme-update.R' 'bs-theme.R' 'card.R'
        'deprecated.R' 'files.R' 'imports.R' 'layout.R' 'nav-items.R'
        'nav-update.R' 'navs-legacy.R' 'navs.R' 'onLoad.R' 'page.R'
        'precompiled.R' 'print.R' 'shiny-devmode.R' 'staticimports.R'
        'utils-shiny.R' 'utils-tags.R' 'value-box.R'
        'version-default.R' 'versions.R'
URL: https://rstudio.github.io/bslib/, https://github.com/rstudio/bslib
BugReports: https://github.com/rstudio/bslib/issues
Config/testthat/edition: 3
Config/Needs/routine: desc, renv
Config/Needs/website: brio, dplyr, glue, purrr, rprojroot, stringr,
        tidyr, DT, leaflet, plotly, htmlwidgets, shiny, ggplot2,
        svglite
Config/Needs/deploy: BH, DT, ggplot2, hexbin, lattice, lubridate,
        dplyr, modelr, nycflights13, histoslider, reactable, rprojroot,
        rsconnect, plotly, leaflet, gt, shiny, htmlwidgets
NeedsCompilation: no
Packaged: 2022-12-15 16:02:29 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Joe Cheng [aut],
  RStudio [cph],
  Bootstrap contributors [ctb] (Bootstrap library),
  Twitter, Inc [cph] (Bootstrap library),
  Javi Aguilar [ctb, cph] (Bootstrap colorpicker library),
  Thomas Park [ctb, cph] (Bootswatch library),
  PayPal [ctb, cph] (Bootstrap accessibility plugin)
Maintainer: Carson Sievert <carson@rstudio.com>
Repository: CRAN
Date/Publication: 2022-12-16 10:30:06 UTC

## r-cran-bslib 0.4.0+dfsg

=== debian/changelog ===
r-cran-bslib (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 07:07:21 +0200

r-cran-bslib (0.3.1+dfsg-2) unstable; urgency=medium

  * Source-only upload.
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 May 2022 12:22:41 +0530

r-cran-bslib (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #996965)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2022 17:24:38 +0200

=== debian/control ===
Source: r-cran-bslib
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-htmltools (>= 0.5.2),
               r-cran-jsonlite,
               r-cran-sass (>= 0.4.0),
               r-cran-jquerylib,
               r-cran-rlang,
               r-cran-cachem,
               r-cran-memoise,
               node-bootstrap-sass (>= 3.4.3-2~),
               libjs-bootstrap4
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bslib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bslib.git
Homepage: https://cran.r-project.org/package=bslib
Rules-Requires-Root: no

Package: r-cran-bslib
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         node-bootstrap-sass (>= 3.4.3-2~),
         libjs-bootstrap4
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: custom 'bootstrap' 'Sass' themes for GNU R shiny and rmarkdown
 Simplifies custom 'CSS' styling of both 'shiny' and 'rmarkdown' via
 'Bootstrap' 'Sass'. Supports both 'Bootstrap' 3 and 4 as well as their
 various 'Bootswatch' themes. An interactive widget is also provided for
 previewing themes in real time.

## r-cran-bslib 0.4.2+dfsg

=== debian/changelog ===
r-cran-bslib (0.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 08:50:13 +0100

r-cran-bslib (0.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 07 Nov 2022 14:38:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-htmltools (>= 0.5.2),
+               r-cran-htmltools (>= 0.5.4),
                r-cran-jsonlite,
                r-cran-sass (>= 0.4.0),
                r-cran-jquerylib,
                r-cran-rlang,
                r-cran-cachem,
-               r-cran-memoise,
+               r-cran-memoise (>= 2.0.1),
+               r-cran-base64enc,
+               r-cran-mime,
                node-bootstrap-sass (>= 3.4.3-2~),
                libjs-bootstrap4
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bslib.git
 Homepage: https://cran.r-project.org/package=bslib
@@ -27,7 +29,6 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          node-bootstrap-sass (>= 3.4.3-2~),
          libjs-bootstrap4
 Recommends: ${R:Recommends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk



%:
	dh $@ --buildsystem R

override_dh_link:
	dh_link
	for bs3 in `ls /usr/share/nodejs/bootstrap-sass/assets/stylesheets/bootstrap | grep -v -e _variables.scss` ; do \
	    dh_link /usr/share/nodejs/bootstrap-sass/assets/stylesheets/bootstrap/$${bs3} $(debRdir)/$(cranNameOrig)/lib/bs3/assets/stylesheets/bootstrap/$${bs3} ; \
	done
	mkdir -p inst/lib/bs3/assets/stylesheets/bootstrap
	cp /usr/share/sass/bootstrap/_navbar.scss inst/lib/bs3/assets/stylesheets/bootstrap
	cp /usr/share/nodejs/bootstrap-sass/assets/stylesheets/bootstrap/_variables.scss inst/lib/bs3/assets/stylesheets/bootstrap
	mkdir -p inst/lib/bs4/scss/
	cp /usr/share/sass/bootstrap/_navbar.scss inst/lib/bs4/scss/
	cp /usr/share/sass/bootstrap/_variables.scss inst/lib/bs4/scss/
	for patch in `grep -l 'inst/lib/bs3/assets/stylesheets/bootstrap/_variables.scss' tools/patches/*` ; do \
	    patch -p1 < $${patch} ; \
	done
	# tries to write to dangling symlink: dh_install inst/lib/bs3/assets/stylesheets/bootstrap/*.scss $(debRdir)/$(cranNameOrig)/lib/bs3/assets/stylesheets/bootstrap
	mkdir -p $(debRlib)/$(cranNameOrig)/lib/bs3/assets/stylesheets/bootstrap
	mv -v inst/lib/bs3/assets/stylesheets/bootstrap/*.scss $(debRlib)/$(cranNameOrig)/lib/bs3/assets/stylesheets/bootstrap
	for bs4 in `ls /usr/share/sass/bootstrap | grep -v -e _navbar.scss -e _variables.scss` ; do \
	    dh_link /usr/share/sass/bootstrap/$${bs4} $(debRdir)/$(cranNameOrig)/lib/bs4/scss/$${bs4} ; \
	done
	patch -p1 < tools/patches/021-add-navbar-bg-vars-bs4.patch
	dh_install inst/lib/bs4/scss/* $(debRdir)/$(cranNameOrig)/lib/bs4/scss
	find inst/lib/bs* -name "*.orig" -delete
	# fake missing file (see https://github.com/rstudio/bslib/issues/422)
	# touch $(debRlib)/$(cranNameOrig)/lib/bs4/_deprecated.scss
	dh_install debian/missing_source/bs4/_deprecated.scss $(debRdir)/$(cranNameOrig)/lib/bs4/scss
	dh_install debian/missing_source/bs5/bootstrap.bundle.min.js* $(debRdir)/$(cranNameOrig)/lib/bs5/dist/js

override_dh_install:
	dh_install
	find debian -name "LICENSE*" -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-shiny,
# actually        r-cran-shiny (>= 1.6.0),
         r-cran-rmarkdown,
# actually        r-cran-rmarkdown (>= 2.7),
         r-cran-thematic,
         r-cran-knitr,
         r-cran-testthat,
         r-cran-withr,
         r-cran-rappdirs,
         r-cran-curl,
         r-cran-magrittr
Restrictions: allow-stderr

## r-cran-bslib 0.6.1%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://cloud.r-project.org/src/contrib/bslib_([-\d.]*)\.tar\.gz

## r-cran-bslib 0.6.1+dfsg

=== DESCRIPTION ===
Package: bslib
Title: Custom 'Bootstrap' 'Sass' Themes for 'shiny' and 'rmarkdown'
Version: 0.6.1
Authors@R: c(
    person("Carson", "Sievert", , "carson@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-4958-2844")),
    person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
    person("Garrick", "Aden-Buie", , "garrick@posit.co", role = "aut",
           comment = c(ORCID = "0000-0002-7111-0077")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person(, "Bootstrap contributors", role = "ctb",
           comment = "Bootstrap library"),
    person(, "Twitter, Inc", role = "cph",
           comment = "Bootstrap library"),
    person("Javi", "Aguilar", role = c("ctb", "cph"),
           comment = "Bootstrap colorpicker library"),
    person("Thomas", "Park", role = c("ctb", "cph"),
           comment = "Bootswatch library"),
    person(, "PayPal", role = c("ctb", "cph"),
           comment = "Bootstrap accessibility plugin")
  )
Description: Simplifies custom 'CSS' styling of both 'shiny' and
    'rmarkdown' via 'Bootstrap' 'Sass'. Supports 'Bootstrap' 3, 4 and 5 as
    well as their various 'Bootswatch' themes. An interactive widget is
    also provided for previewing themes in real time.
License: MIT + file LICENSE
URL: https://rstudio.github.io/bslib/, https://github.com/rstudio/bslib
BugReports: https://github.com/rstudio/bslib/issues
Depends: R (>= 2.10)
Imports: base64enc, cachem, grDevices, htmltools (>= 0.5.7), jquerylib
        (>= 0.1.3), jsonlite, lifecycle, memoise (>= 2.0.1), mime,
        rlang, sass (>= 0.4.0)
Suggests: bsicons, curl, fontawesome, ggplot2, knitr, magrittr,
        rappdirs, rmarkdown (>= 2.7), shiny (>= 1.8.0), testthat,
        thematic, withr
Config/Needs/deploy: BH, chiflights22, colourpicker, commonmark, cpp11,
        cpsievert/chiflights22, cpsievert/histoslider, dplyr, DT,
        ggplot2, ggridges, gt, hexbin, histoslider, htmlwidgets,
        lattice, leaflet, lubridate, modelr, plotly, reactable,
        reshape2, rprojroot, rsconnect, rstudio/shiny, scales, styler,
        tibble
Config/Needs/routine: chromote, desc, renv
Config/Needs/website: brio, crosstalk, dplyr, DT, ggplot2, glue,
        htmlwidgets, leaflet, lorem, palmerpenguins, plotly, purrr,
        rprojroot, rstudio/htmltools, scales, stringr, tidyr, webshot2
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: zzzz-bs-sass, fonts, zzz-precompile,
        theme-*, rmd-*
Encoding: UTF-8
RoxygenNote: 7.2.3
Collate: 'accordion.R' 'breakpoints.R' 'bs-current-theme.R'
        'bs-dependencies.R' 'bs-global.R' 'bs-remove.R'
        'bs-theme-layers.R' 'bs-theme-preset-bootswatch.R'
        'bs-theme-preset-builtin.R' 'bs-theme-preset.R' 'utils.R'
        'bs-theme-preview.R' 'bs-theme-update.R' 'bs-theme.R'
        'bslib-package.R' 'card.R' 'deprecated.R' 'files.R' 'fill.R'
        'imports.R' 'input-dark-mode.R' 'input-switch.R' 'layout.R'
        'nav-items.R' 'nav-update.R' 'navs-legacy.R' 'navs.R'
        'onLoad.R' 'page.R' 'popover.R' 'precompiled.R' 'print.R'
        'shiny-devmode.R' 'sidebar.R' 'staticimports.R' 'tooltip.R'
        'utils-deps.R' 'utils-shiny.R' 'utils-tags.R' 'value-box.R'
        'version-default.R' 'versions.R'
NeedsCompilation: no
Packaged: 2023-11-28 17:50:21 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Joe Cheng [aut],
  Garrick Aden-Buie [aut] (<https://orcid.org/0000-0002-7111-0077>),
  Posit Software, PBC [cph, fnd],
  Bootstrap contributors [ctb] (Bootstrap library),
  Twitter, Inc [cph] (Bootstrap library),
  Javi Aguilar [ctb, cph] (Bootstrap colorpicker library),
  Thomas Park [ctb, cph] (Bootswatch library),
  PayPal [ctb, cph] (Bootstrap accessibility plugin)
Maintainer: Carson Sievert <carson@posit.co>
Repository: CRAN
Date/Publication: 2023-11-28 23:10:05 UTC

=== debian/changelog ===
r-cran-bslib (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 11:47:05 +0100

r-cran-bslib (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Nov 2023 17:36:58 +0100

r-cran-bslib (0.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Drop unused lintian-overrides
  * dh-update-R to update Build-Depends (routine-update)
  * Add sources for JS files
  * Fix clean target
    Closes: #1046513

 -- Andreas Tille <tille@debian.org>  Wed, 25 Oct 2023 07:28:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-htmltools (>= 0.5.4),
+               r-cran-base64enc,
+               r-cran-cachem,
+               r-cran-htmltools (>= 0.5.7),
+               r-cran-jquerylib,
                r-cran-jsonlite,
+               r-cran-lifecycle,
+               r-cran-memoise (>= 2.0.1),
+               r-cran-mime,
+               r-cran-rlang,
                r-cran-sass (>= 0.4.0),
-               r-cran-jquerylib,
-               r-cran-rlang,
-               r-cran-cachem,
-               r-cran-memoise (>= 2.0.1),
-               r-cran-base64enc,
-               r-cran-mime,
                node-bootstrap-sass (>= 3.4.3-2~),
                libjs-bootstrap4
 Standards-Version: 4.6.2

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-fontawesome,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-rappdirs,
        r-cran-rmarkdown (>= 2.7),
        r-cran-shiny (>= 1.8.0),
        r-cran-testthat,
        r-cran-thematic,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-bslib 0.7.0+dfsg

=== debian/changelog ===
r-cran-bslib (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Drop Nilesh Patra from Uploaders (Thanks to Nilesh for all his work
    on this package)
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Exclude inst/components/dist/webComponents/webComponents.min.js since
    it seems not to be used

 -- Andreas Tille <tille@debian.org>  Sat, 18 May 2024 08:14:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: r-cran-bslib
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -10,17 +9,18 @@
                r-base-dev,
                r-cran-base64enc,
                r-cran-cachem,
-               r-cran-htmltools (>= 0.5.7),
+               r-cran-fastmap (>= 1.1.1),
+               r-cran-htmltools (>= 0.5.8),
                r-cran-jquerylib,
                r-cran-jsonlite,
                r-cran-lifecycle,
                r-cran-memoise (>= 2.0.1),
                r-cran-mime,
                r-cran-rlang,
-               r-cran-sass (>= 0.4.0),
+               r-cran-sass (>= 0.4.9),
                node-bootstrap-sass (>= 3.4.3-2~),
                libjs-bootstrap4
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bslib.git
 Homepage: https://cran.r-project.org/package=bslib

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-fontawesome,
        r-cran-future,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-rappdirs,
        r-cran-rmarkdown (>= 2.7),
        r-cran-shiny (>= 1.8.1),
        r-cran-testthat,
        r-cran-thematic,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-bslib 0.8.0+dfsg

=== debian/changelog ===
r-cran-bslib (0.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 15:41:17 +0900

## r-cran-bslib 0.9.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bslib
 Title: Custom 'Bootstrap' 'Sass' Themes for 'shiny' and 'rmarkdown'
-Version: 0.6.1
+Version: 0.9.0
 Authors@R: c(
     person("Carson", "Sievert", , "carson@posit.co", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-4958-2844")),
@@ -27,18 +27,18 @@
 URL: https://rstudio.github.io/bslib/, https://github.com/rstudio/bslib
 BugReports: https://github.com/rstudio/bslib/issues
 Depends: R (>= 2.10)
-Imports: base64enc, cachem, grDevices, htmltools (>= 0.5.7), jquerylib
-        (>= 0.1.3), jsonlite, lifecycle, memoise (>= 2.0.1), mime,
-        rlang, sass (>= 0.4.0)
-Suggests: bsicons, curl, fontawesome, ggplot2, knitr, magrittr,
-        rappdirs, rmarkdown (>= 2.7), shiny (>= 1.8.0), testthat,
-        thematic, withr
+Imports: base64enc, cachem, fastmap (>= 1.1.1), grDevices, htmltools
+        (>= 0.5.8), jquerylib (>= 0.1.3), jsonlite, lifecycle, memoise
+        (>= 2.0.1), mime, rlang, sass (>= 0.4.9)
+Suggests: bsicons, curl, fontawesome, future, ggplot2, knitr, magrittr,
+        rappdirs, rmarkdown (>= 2.7), shiny (> 1.8.1), testthat,
+        thematic, tools, utils, withr, yaml
 Config/Needs/deploy: BH, chiflights22, colourpicker, commonmark, cpp11,
         cpsievert/chiflights22, cpsievert/histoslider, dplyr, DT,
         ggplot2, ggridges, gt, hexbin, histoslider, htmlwidgets,
-        lattice, leaflet, lubridate, modelr, plotly, reactable,
-        reshape2, rprojroot, rsconnect, rstudio/shiny, scales, styler,
-        tibble
+        lattice, leaflet, lubridate, markdown, modelr, plotly,
+        reactable, reshape2, rprojroot, rsconnect, rstudio/shiny,
+        scales, styler, tibble
 Config/Needs/routine: chromote, desc, renv
 Config/Needs/website: brio, crosstalk, dplyr, DT, ggplot2, glue,
         htmlwidgets, leaflet, lorem, palmerpenguins, plotly, purrr,
@@ -48,21 +48,22 @@
 Config/testthat/start-first: zzzz-bs-sass, fonts, zzz-precompile,
         theme-*, rmd-*
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Collate: 'accordion.R' 'breakpoints.R' 'bs-current-theme.R'
         'bs-dependencies.R' 'bs-global.R' 'bs-remove.R'
         'bs-theme-layers.R' 'bs-theme-preset-bootswatch.R'
-        'bs-theme-preset-builtin.R' 'bs-theme-preset.R' 'utils.R'
-        'bs-theme-preview.R' 'bs-theme-update.R' 'bs-theme.R'
-        'bslib-package.R' 'card.R' 'deprecated.R' 'files.R' 'fill.R'
-        'imports.R' 'input-dark-mode.R' 'input-switch.R' 'layout.R'
-        'nav-items.R' 'nav-update.R' 'navs-legacy.R' 'navs.R'
+        'bs-theme-preset-brand.R' 'bs-theme-preset-builtin.R'
+        'bs-theme-preset.R' 'utils.R' 'bs-theme-preview.R'
+        'bs-theme-update.R' 'bs-theme.R' 'bslib-package.R' 'buttons.R'
+        'card.R' 'deprecated.R' 'files.R' 'fill.R' 'imports.R'
+        'input-dark-mode.R' 'input-switch.R' 'layout.R' 'nav-items.R'
+        'nav-update.R' 'navbar_options.R' 'navs-legacy.R' 'navs.R'
         'onLoad.R' 'page.R' 'popover.R' 'precompiled.R' 'print.R'
         'shiny-devmode.R' 'sidebar.R' 'staticimports.R' 'tooltip.R'
         'utils-deps.R' 'utils-shiny.R' 'utils-tags.R' 'value-box.R'
         'version-default.R' 'versions.R'
 NeedsCompilation: no
-Packaged: 2023-11-28 17:50:21 UTC; cpsievert
+Packaged: 2025-01-30 22:04:52 UTC; garrick
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Joe Cheng [aut],
   Garrick Aden-Buie [aut] (<https://orcid.org/0000-0002-7111-0077>),
@@ -74,4 +75,4 @@
   PayPal [ctb, cph] (Bootstrap accessibility plugin)
 Maintainer: Carson Sievert <carson@posit.co>
 Repository: CRAN
-Date/Publication: 2023-11-28 23:10:05 UTC
+Date/Publication: 2025-01-30 23:20:02 UTC

=== debian/changelog ===
r-cran-bslib (0.9.0+dfsg-3build1) questing; urgency=medium

  * No-change rebuild against twitter-bootstrap4 4.6.2,
    see #1104454

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 May 2025 07:53:03 +0000

r-cran-bslib (0.9.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * No-change rebuild with bootstrap 4.6.2. (Closes: #1104454)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Apr 2025 21:17:02 +0100

r-cran-bslib (0.9.0+dfsg-2) unstable; urgency=medium

  * Suppress two tests which are failing.
    FIXME: It would be better to investigate this issue properly
    Closes: #1101679

 -- Andreas Tille <tille@debian.org>  Tue, 15 Apr 2025 07:22:44 +0200

r-cran-bslib (0.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Feb 2025 08:46:11 +0900

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-sass (>= 0.4.9),
                node-bootstrap-sass (>= 3.4.3-2~),
                libjs-bootstrap4
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bslib.git
 Homepage: https://cran.r-project.org/package=bslib

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 %:
 	dh $@ --buildsystem R
+
+override_dh_clean:
+	rm -rf inst/lib/bs4
+	dh_clean
 
 override_dh_link:
 	dh_link

=== debian/tests/control ===
--- 
+++ 
@@ -11,5 +11,6 @@
         r-cran-shiny (>= 1.8.1),
         r-cran-testthat,
         r-cran-thematic,
-        r-cran-withr
+        r-cran-withr,
+        r-cran-yaml
 Restrictions: allow-stderr
